Online Giving

The Online Giving service allows a gift to be entered directly into the Pushpay system. This service does NOT process any payments.

Service Name

online_giving_insert_gift

Required Parameters

NameType
coa_category_idinteger
individual_idinteger
amountdecimal

Optional Parameters

NameTypeDescription
merchant_namestring[50]
merchant_transaction_idstring[75]
merchant_individual_idstring[75]
merchant_master_idstring[75]
merchant_process_idstring[75]
merchant_schedule_idstring[75]
merchant_statusstring[20]
merchant_authorization_codestring[15]
merchant_notesstring[100]
merchant_process_datedatetime
first_namestring[100]
last_namestring[100]
street_addressstring[100]
citystring[100]
statestring[100]
zipstring[100]
emailstring[100]
phonestring[100]
campus_idinteger
payment_methodstringValid inputs: '', 'API', 'API - ACH', 'API - CCard'
payment_method_typestring[20]Valid inputs: '', 'Other', 'MC', 'VISA', 'AMEX', 'DISC'
transaction_datedatetimeDate of the transaction. If null, the current date is assumed. Future dates are not allowed.
fund_keystring[36]Pushpay fund key

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=online_giving_insert_gift&coa_category_id=8&individual_id=10&amount=12.85&payment_method=API%20-%20CCard&payment_method_type=OTHER"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="online_giving_insert_gift" name="srv"/>
      <argument value="8" name="coa_category_id"/>
      <argument value="10" name="individual_id"/>
      <argument value="12.85" name="amount"/>
      <argument value="API - CCard" name="payment_method"/>
      <argument value="OTHER" name="payment_method_type"/>
    </parameters>
  </request>
  <response>
    <service>online_giving_insert_gift</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <items count="1">
      <item>
        <gift_id>12236</gift_id>
        <confirmation_code>8W5</confirmation_code>
        <amount>12.85</amount>
        <coa_category ccb_id="8">India</coa_category>
        <payment_method_type></payment_method_type>
        <individual ccb_id="10">Larry Boy</individual>
        <email>[email protected]</email>
        <address>1 A Street</address>
        <city>CS</city>
        <state>CO</state>
        <postal_code>80907</postal_code>
        <phone_number></phone_number>
        <legacy>1</legacy>
      </item>
    </items>
  </response>
</ccb_api>